'''
	Simple python script to put all text files into an SQLite DB
	Author: Kulverstukas
	Website: http://9v.lt
'''

import sqlite3
import os

#==========================================
def grabFortunes(file):
    fortunes = []
    fortune = ""
    line = ""
    for line in file:
        if (line == "%\n"):
            fortunes.append(fortune)
            fortune = ""
        else:
            fortune += line
    return fortunes
#==========================================

dbConn = sqlite3.connect("fortunes.db");
dbConn.text_factory = str
dbCurs = dbConn.cursor();
dbCurs.execute("CREATE TABLE fortunes (id INTEGER PRIMARY KEY, length INTEGER, fortune TEXT)")
id = 0

files = os.listdir("texts")
file = ""
for file in files:
    f = open("texts/%s" % file, "r")
    fortunes = grabFortunes(f)
    fortune = ""
    length = 0
    for fortune in fortunes:
        id += 1
        length = len(fortune)
        dbCurs.execute("INSERT INTO fortunes values (:id, :length, :fortune)",{"id":id, "length":length, "fortune":fortune})
        print("File: %s; ID: %d" % (file, id))
    f.close()
    dbConn.commit()

dbCurs.close()